This default constructor would typically be used as a placeholder where the curves would be specified by a subsequent call to one of the Set() functions. This constructor sets the two curves to be the infinite lines represented by the X and Y axes.
Public Sub New() Public Sub New( curve1 As Curve2d, curve2 As Curve2d, tolerance As Autodesk.AutoCAD.Geometry.Tolerance ) Public Sub New( curve1 As Curve2d, curve2 As Curve2d, range1 As Interval, range2 As Interval, tolerance As Autodesk.AutoCAD.Geometry.Tolerance )
public CurveCurveIntersector2d(); public CurveCurveIntersector2d( Curve2d curve1, Curve2d curve2, Autodesk.AutoCAD.Geometry.Tolerance tolerance ); public CurveCurveIntersector2d( Curve2d curve1, Curve2d curve2, Interval range1, Interval range2, Autodesk.AutoCAD.Geometry.Tolerance tolerance );
Comments? |